package com.search.lucene.searchers.abstractions;

import org.apache.lucene.document.Document;
import org.apache.lucene.index.CorruptIndexException;
import org.apache.lucene.queryparser.classic.ParseException;
import org.apache.lucene.search.ScoreDoc;
import org.apache.lucene.search.TopDocs;

import java.io.IOException;


public interface ISearcher {
     Document getDocument(ScoreDoc scoreDoc) throws IOException;
     TopDocs search(String searchQuery) throws IOException, ParseException;
     void init() throws IOException;
}
